import { Vector3 } from "@minecraft/server";
import AbstractAgentTrackMission from "../../Commandeer/level/abstractTrackFollowMission";
import { vector3 } from "../../Commandeer/utils/vectorUtils";

const Level2CommandBlockPos: Vector3 = vector3(2439, 0, 35);

const level2StartPosition: Vector3 = vector3(2446, -2, 40);
const Level2EndPosition: Vector3 = vector3(2446, -2, 30);

const level2ResetCommandBlockPos: Vector3 = vector3(56, 68, 211);

let mission1part2: AbstractAgentTrackMission = new AbstractAgentTrackMission(
  "mission1part2",
  level2StartPosition,
  Level2EndPosition,
  Level2CommandBlockPos
);

export default mission1part2;
